=== debian/changelog ===
nco (4.7.4-1~bpo9+1) stretch-backports; urgency=medium

  * Rebuild for stretch-backports.

 -- Bas Couwenberg <sebastic@debian.org>  Fri, 13 Apr 2018 07:14:05 +0200

nco (4.7.4-1) unstable; urgency=medium

  * New upstream release.
  * Update Vcs-* URLs for Salsa.
  * Add patch to fix spelling errors.

 -- Bas Couwenberg <sebastic@debian.org>  Sat, 07 Apr 2018 16:02:48 +0200
