=== debian/changelog ===
nco (4.7.5-1~bpo9+1) stretch-backports; urgency=medium

  * Rebuild for stretch-backports.

 -- Bas Couwenberg <sebastic@debian.org>  Thu, 19 Jul 2018 16:28:26 +0200

nco (4.7.5-1) unstable; urgency=medium

  * New upstream release.
  * Bump Standards-Version to 4.1.4, no changes.
  * Strip trailing whitespace from control & rules files.
  * Drop spelling-errors.patch, applied upstream.

 -- Bas Couwenberg <sebastic@debian.org>  Mon, 11 Jun 2018 07:38:34 +0200
