=== debian/control ===
--- 
+++ 
@@ -18,7 +18,7 @@
                libudunits2-dev,
                libdap-dev,
                texinfo
-Standards-Version: 4.1.3
+Standards-Version: 4.1.4
 Vcs-Browser: https://salsa.debian.org/debian-gis-team/nco
 Vcs-Git: https://salsa.debian.org/debian-gis-team/nco.gi -b stretch-backportst
 Homepage: http://nco.sourceforge.net/
@@ -33,4 +33,3 @@
  netCDF files as input, perform operations (e.g., averaging, hyperslabbing),
  and produce a netCDF output file. NCO was originally designed to manipulate and
  analyze climate data, though it works on any netCDF format datasets.
-
