## nco 4.7.6

=== CMakeLists.txt ===
--- 
+++ 
@@ -151,6 +151,12 @@
 
 set(CMAKE_REQUIRED_LIBRARIES ${NETCDF_LIBRARY})
 
+check_library_exists(${NETCDF_LIBRARY} nc_rename_grp "" has_nc_rename_grp)
+if (has_nc_rename_grp)
+  message("-- Found nc_rename_grp in: " ${NETCDF_LIBRARY})
+  add_definitions(-DHAVE_NC_RENAME_GRP)
+endif()
+
 check_library_exists(${NETCDF_LIBRARY} nc_inq_path "" has_nc_inq_path)
 if (has_nc_inq_path)
   message("-- Found nc_inq_path in: " ${NETCDF_LIBRARY})
@@ -316,7 +322,3 @@
 if (UDUNITS2_LIBRARY AND UDUNITS2_INCLUDE)
   find_library(EXPAT_LIBRARY NAMES libexpatMT expat ${find_opt})
   if(NOT EXPAT_LIBRARY)
-    message("${color_magenta}-- Expat library not found${color_reset}")
-    message("-- Disabling UDUNITS support")
-  else()
-    message("-- Found Expat library at: " ${EXPAT_LIBRARY})
