=== debian/changelog ===
nco (4.7.6-1~bpo9+1) stretch-backports; urgency=medium

  * Rebuild for stretch-backports.

 -- Bas Couwenberg <sebastic@debian.org>  Fri, 17 Aug 2018 07:14:05 +0200

nco (4.7.6-1) unstable; urgency=medium

  * New upstream release.
  * Bump Standards-Version to 4.2.0, no changes.

 -- Bas Couwenberg <sebastic@debian.org>  Sun, 12 Aug 2018 08:42:22 +0200

nco (4.7.5-2) unstable; urgency=medium

  * Bump Standards-Version to 4.1.5, no changes.
  * Drop autopkgtest to test installability.
  * Add lintian override for testsuite-autopkgtest-missing.

 -- Bas Couwenberg <sebastic@debian.org>  Wed, 01 Aug 2018 07:20:48 +0200
