=== debian/control ===
--- 
+++ 
@@ -18,7 +18,7 @@
                libudunits2-dev,
                libdap-dev,
                texinfo
-Standards-Version: 4.1.4
+Standards-Version: 4.2.0
 Vcs-Browser: https://salsa.debian.org/debian-gis-team/nco
 Vcs-Git: https://salsa.debian.org/debian-gis-team/nco.gi -b stretch-backportst
 Homepage: http://nco.sourceforge.net/
