## nco 4.7.7

=== debian/changelog ===
nco (4.7.7-2) unstable; urgency=medium

  * Add upstream patch to fix FTBFS with NetCDF 4.6.2-RC1.

 -- Bas Couwenberg <sebastic@debian.org>  Fri, 28 Sep 2018 16:21:57 +0200

nco (4.7.7-1) unstable; urgency=medium

  * New upstream release.
  * Update watch file to limit matches to archive path.
  * Bump Standards-Version to 4.2.1, no changes.

 -- Bas Couwenberg <sebastic@debian.org>  Sat, 22 Sep 2018 08:45:41 +0200
