## nco 4.7.8

=== debian/changelog ===
nco (4.7.8-1) unstable; urgency=medium

  * New upstream release.
  * Drop patches, included upstream.

 -- Bas Couwenberg <sebastic@debian.org>  Sat, 17 Nov 2018 07:48:48 +0100
