=== debian/control ===
--- 
+++ 
@@ -18,9 +18,9 @@
                libudunits2-dev,
                libdap-dev,
                texinfo
-Standards-Version: 4.2.0
+Standards-Version: 4.2.1
 Vcs-Browser: https://salsa.debian.org/debian-gis-team/nco
-Vcs-Git: https://salsa.debian.org/debian-gis-team/nco.gi -b stretch-backportst
+Vcs-Git: https://salsa.debian.org/debian-gis-team/nco.git
 Homepage: http://nco.sourceforge.net/
 
 Package: nco
