=== debian/changelog ===
nco (4.7.9-1~bpo9+1) stretch-backports; urgency=medium

  * Rebuild for stretch-backports.

 -- Bas Couwenberg <sebastic@debian.org>  Sun, 03 Mar 2019 08:31:28 +0100

nco (4.7.9-1) unstable; urgency=medium

  * New upstream release.
  * Bump Standards-Version to 4.3.0, no changes.

 -- Bas Couwenberg <sebastic@debian.org>  Thu, 21 Feb 2019 06:59:59 +0100

nco (4.7.8-1~bpo9+1) stretch-backports; urgency=medium

  * Rebuild for stretch-backports.

 -- Bas Couwenberg <sebastic@debian.org>  Wed, 19 Dec 2018 08:24:40 +0100

nco (4.7.7-1~bpo9+1) stretch-backports; urgency=medium

  * Rebuild for stretch-backports.

 -- Bas Couwenberg <sebastic@debian.org>  Thu, 27 Sep 2018 07:25:53 +0200
