=== debian/control ===
--- 
+++ 
@@ -18,9 +18,9 @@
                libudunits2-dev,
                libdap-dev,
                texinfo
-Standards-Version: 4.2.1
+Standards-Version: 4.3.0
 Vcs-Browser: https://salsa.debian.org/debian-gis-team/nco
-Vcs-Git: https://salsa.debian.org/debian-gis-team/nco.git
+Vcs-Git: https://salsa.debian.org/debian-gis-team/nco.git -b stretch-backports
 Homepage: http://nco.sourceforge.net/
 
 Package: nco
