## nco 4.8.1

=== debian/changelog ===
nco (4.8.1-1) unstable; urgency=medium

  * Update gbp.conf to use --source-only-changes by default.
  * Move from experimental to unstable.

 -- Bas Couwenberg <sebastic@debian.org>  Sun, 07 Jul 2019 08:47:09 +0200

nco (4.8.1-1~exp1) experimental; urgency=medium

  * New upstream release.
  * Remove package name from lintian overrides.
  * Add license & copyright for sources by Joseph O'Rourke.
  * Update copyright file, changes:
    - Update copyright years for Charlie Zender
    - Add license & copyright for nco_crt.h
  * Add patch to fix spelling errors.

 -- Bas Couwenberg <sebastic@debian.org>  Tue, 02 Jul 2019 06:17:16 +0200
