## nco 4.9.1

=== CMakeLists.txt ===
--- 
+++ 
@@ -170,25 +170,19 @@
 endif()
 
 #/////////////////////////////////////////////////////////////////////////////////////
-#netCDF 4.6.0 
-#nc_def_var_filter , has_inq_var_filter, define NC_LIB_VERSION=460 if both found 
-#/////////////////////////////////////////////////////////////////////////////////////
-
-check_library_exists(${NETCDF_LIBRARY} nc_def_var_filter "" has_nc_def_var_filter)
-if (has_nc_def_var_filter)
-  message("-- Found nc_def_var_filter in: " ${NETCDF_LIBRARY})
-  add_definitions(-DHAVE_NC_DEF_VAR_FILTER)
-endif()
-
-check_library_exists(${NETCDF_LIBRARY} nc_inq_var_filter "" has_inq_var_filter)
-if (has_inq_var_filter)
-  message("-- Found has_inq_var_filter in: " ${NETCDF_LIBRARY})
-  add_definitions(-DHAVE_NC_INQ_VAR_FILTER)
-endif()
-
-if (has_nc_def_var_filter AND has_inq_var_filter)
-  add_definitions(-DNC_LIB_VERSION=460)
-endif ()
+#netcdf_meta.h defines NC_VERSION_MAJOR NC_VERSION_MINOR NC_VERSION_PATCH 
+#NCO defines NC_LIB_VERSION ( NC_VERSION_MAJOR * 100 + NC_VERSION_MINOR * 10 + NC_VERSION_PATCH ) 
+#/////////////////////////////////////////////////////////////////////////////////////
+
+find_path(path_netcdf_meta_h netcdf_meta.h PATHS ${NETCDF_INCLUDE})
+if(path_netcdf_meta_h)
+  message("-- Found netcdf_meta.h in " ${path_netcdf_meta_h})
+  add_definitions(-DNC_HAVE_META_H)
+else()
+  message("-- netcdf_meta.h was not found; defining NC_LIB_VERSION=360")
+  add_definitions(-DNC_LIB_VERSION=360)
+endif()
+
 
 find_path(path_netcdf_mem_h netcdf_mem.h PATHS ${NETCDF_INCLUDE})
 if (path_netcdf_mem_h)
@@ -322,3 +316,6 @@
 if (UDUNITS2_LIBRARY AND UDUNITS2_INCLUDE)
   find_library(EXPAT_LIBRARY NAMES libexpatMT expat ${find_opt})
   if(NOT EXPAT_LIBRARY)
+    message("${color_magenta}-- Expat library not found${color_reset}")
+    message("-- Disabling UDUNITS support")
+  else()
