=== debian/changelog ===
nco (4.9.1-1build2) focal; urgency=medium

  * No-change rebuild for libgcc-s1 package name change.

 -- Matthias Klose <doko@ubuntu.com>  Mon, 23 Mar 2020 07:20:36 +0100

nco (4.9.1-1build1) focal; urgency=medium

  * No-change rebuild for netcdf soname change.

 -- Matthias Klose <doko@ubuntu.com>  Thu, 30 Jan 2020 18:02:03 +0100

nco (4.9.1-1) unstable; urgency=medium

  * New upstream release.
  * Drop Name field from upstream metadata.
  * Add lintian override for manpage-without-executable.

 -- Bas Couwenberg <sebastic@debian.org>  Fri, 20 Dec 2019 07:04:03 +0100

nco (4.9.0-1) unstable; urgency=medium

  * New upstream release.
  * Bump Standards-Version to 4.4.1, no changes.
  * Drop spelling-errors.patch, applied upstream.
  * Drop unused override for spelling-error-in-binary.

 -- Bas Couwenberg <sebastic@debian.org>  Thu, 05 Dec 2019 05:32:58 +0100
