## nco 4.9.3

=== debian/changelog ===
nco (4.9.3-1build1) groovy; urgency=medium

  * Rebuild against new glibc 2.32.

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Fri, 11 Sep 2020 22:05:12 +0200

nco (4.9.3-1) unstable; urgency=medium

  * New upstream release.
  * Bump Standards-Version to 4.5.0, no changes.
  * Update copyright file, changes:
    - NCO license changes to BSD-3-Clause.
    - nco_gsl.* is no longer dual licensed
  * Bump debhelper compat to 10, changes:
    - Drop --parallel option, enabled by default
    - Don't explicitly enable autoreconf, enabled by default
    - Drop dh-autoreconf build dependency

 -- Bas Couwenberg <sebastic@debian.org>  Mon, 01 Jun 2020 05:47:32 +0200
