## nco 4.9.5

=== CMakeLists.txt ===
--- 
+++ 
@@ -183,7 +183,6 @@
   add_definitions(-DNC_LIB_VERSION=360)
 endif()
 
-
 find_path(path_netcdf_mem_h netcdf_mem.h PATHS ${NETCDF_INCLUDE})
 if (path_netcdf_mem_h)
   message("-- Found netcdf_mem.h in: " ${path_netcdf_mem_h})
@@ -282,40 +281,36 @@
   message("-- Found curl library at: " ${CURL_LIBRARY})
 endif()
 
-#//////////////////////////
-#detect optional dependencies
-#//////////////////////////
-
-#//////////////////////////
-# UDUNITS2 (and EXPAT)
-# Add non standard UDUNITS2 header paths (Mac ports, Linux Fedora)
-#//////////////////////////
-
-set(CMAKE_INCLUDE_PATH ${CMAKE_INCLUDE_PATH})
-set(CMAKE_INCLUDE_PATH ${CMAKE_INCLUDE_PATH} "/opt/local/include/udunits2")
-set(CMAKE_INCLUDE_PATH ${CMAKE_INCLUDE_PATH} "/usr/include/udunits2")
-
-find_path(UDUNITS2_INCLUDE udunits2.h ${find_opt})
-if(NOT UDUNITS2_INCLUDE)
-  message("${color_magenta}-- Unidata units library header files not found${color_reset}")
-else()
-  message("-- Found Unidata units library header files at: " ${UDUNITS2_INCLUDE})
-endif()
-
-find_library(UDUNITS2_LIBRARY NAMES udunits2 ${find_opt})
-if(NOT UDUNITS2_LIBRARY)
-  message("${color_magenta}-- Unidata units library not found${color_reset}")
-else()
-  message("-- Found Unidata units library at: " ${UDUNITS2_LIBRARY})
-endif()
-
-#//////////////////////////
-# UDUnits depends on expat
-#//////////////////////////
-
-if (UDUNITS2_LIBRARY AND UDUNITS2_INCLUDE)
-  find_library(EXPAT_LIBRARY NAMES libexpatMT expat ${find_opt})
-  if(NOT EXPAT_LIBRARY)
-    message("${color_magenta}-- Expat library not found${color_reset}")
-    message("-- Disabling UDUNITS support")
-  else()
+
+#//////////////////////////
+#GSL_ROOT
+#detect a user defined system environment variable GSL_ROOT
+#this sets the include path to GSL_INCLUDE directly
+#and a PATHS hint for GSL_LIBRARY and GSL_CBLAS_LIBRARY
+#For this case find_library(GSL_LIBRARY/GSL_CBLAS_LIBRARY) MUST be called 2 times
+#First time it looks in GSL_LIBRARY_PATH if set, avoiding all other PATHS with NO_DEFAULT_PATH
+#//////////////////////////
+
+set(gsl_root "$ENV{GSL_ROOT}")
+if(gsl_root)
+  set(GSL_INCLUDE "${gsl_root}/include")
+  set(GSL_LIBRARY_PATH "${gsl_root}/lib")
+  set(GSL_CBLAS_LIBRARY_PATH "${gsl_root}/lib")
+  message("${color_blue}-- Using user defined GSL location: ${gsl_root}${color_reset}")
+  set(GSL_CONFIG_PATH ${gsl_root}/bin/gsl-config)
+endif(gsl_root)
+  
+#//////////////////////////
+#find gsl-config
+#//////////////////////////  
+  
+find_program(gsl_config NAMES gsl-config PATHS ${GSL_CONFIG_PATH} NO_DEFAULT_PATH)
+find_program(gsl_config NAMES gsl-config ${find_opt})
+
+if (gsl_config)
+  execute_process(COMMAND ${gsl_config} --prefix OUTPUT_VARIABLE gsl_prefix)
+  if (gsl_prefix)
+    string(REGEX REPLACE "\n$" "" gsl_prefix "${gsl_prefix}")
+    message("${color_blue}-- Found GSL installation prefix at ${gsl_prefix}${color_reset}")
+  endif(gsl_prefix)
+  execute_process(COMMAND ${gsl_config} --version OUTPUT_VARIABLE gsl_version)
