=== bld/Makefile ===
--- 
+++ 
@@ -4,11 +4,12 @@
 # Requires GNU Make---AT&T Make chokes on GNU syntax
 
 # Copyright (C) 1994--present Charlie Zender
-# License: GNU General Public License (GPL) Version 3
-# See http://www.gnu.org/copyleft/gpl.html for full license text
+# License: 3-Clause BSD License
+# See https://opensource.org/licenses/BSD-3-Clause for full license text
 
 # Quickie test copies:
 # scp ~/nco/bld/Makefile dust.ess.uci.edu:nco/bld
+# scp ~/nco/bld/Makefile grele.ess.uci.edu:nco/bld
 # scp ~/nco/bld/Makefile gplogin2.ps.uci.edu:nco/bld
 # scp ~/nco/bld/Makefile skyglow.ess.uci.edu:nco/bld
 
@@ -238,4 +239,3 @@
 else # endelse LIB_NCAR
  NETCDF_LIB := ${NETCDF_ROOT}/lib # Directory containing libnetcdf.a
 endif # endif LIB_NCAR
-endif # endif NETCDF_LIB
