=== debian/changelog ===
nco (4.9.5-1) unstable; urgency=medium

  * New upstream release.
  * Update copyright years for Charlie Zender.
  * Update lintian overrides.

 -- Bas Couwenberg <sebastic@debian.org>  Thu, 24 Sep 2020 06:13:33 +0200

nco (4.9.4-1) unstable; urgency=medium

  * New upstream release.
  * Drop UNRELEASED changelog entries.
  * Update lintian overrides for renamed tags.

 -- Bas Couwenberg <sebastic@debian.org>  Sat, 05 Sep 2020 07:04:06 +0200
