## nco 4.9.6

=== debian/changelog ===
nco (4.9.6-1) unstable; urgency=medium

  * New upstream release.
  * Bump watch file version to 4.
  * Bump Standards-Version to 4.5.1, no changes.

 -- Bas Couwenberg <sebastic@debian.org>  Tue, 01 Dec 2020 05:56:38 +0100
